      PROGRAM HOST
C     host program for qr factorization 
C     .. Local Variables ...
      INTEGER LDA, N, NB, M
      INTEGER NBLOCK, NPROC, NSHIFT
C     .. Common Blocks ...
      COMMON  / CENVIR /  NBLOCK, NPROC, NSHIFT

C     ** parameters needed for data matrix         **

      print *,"Enter LDA"
      read(*,*) LDA
      print *,"Enter blocksize"
      read(*,*) NBLOCK
      N = LDA
      M = LDA

C     ** determine the block size for this environment. **

      CALL ENVIR ( 'B', NB ) 

C     ** perform cube initializations **

      CALL CUBEINIT ( LDA, M, N, NB )

      end
